package com.biganto.visual.roompark.presentation.screen.feeds.utils

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import butterknife.BindView
import butterknife.ButterKnife
import com.biganto.visual.roompark.R
import com.biganto.visual.roompark.domain.model.WebCamModel


/**
 * Created by Vladislav Bogdashkin on 15.10.2019.
 */
class CamsListAdapter : RecyclerView.Adapter<CamListViewHolder>() {

    private var list: MutableList<WebCamModel> = mutableListOf()

    fun addItems(list:List<WebCamModel>){
        this.list.clear()
        this.list.addAll(list)
        notifyDataSetChanged()
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): CamListViewHolder =
        CamListViewHolder(
            LayoutInflater.from(parent.context)
                .inflate(R.layout.cam_button_viewholder, parent, false)
        )

    override fun getItemCount(): Int = list.size

    override fun onBindViewHolder(holder: CamListViewHolder, position: Int) {
        holder.bindModel(list[position])
    }
}


class CamListViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {

    @BindView(R.id.camTitle) lateinit var camTitle:TextView
    @BindView(R.id.camStatus) lateinit var camStatus:View

    init {
        ButterKnife.bind(this, itemView)
    }

    fun bindModel(model: WebCamModel) {
        camTitle.text = model.title
    }
}
